Subject: Re: bug#69762: X11 versions of Emacs 29 on sparc fail at startup

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Mar 2024 13:14:49 +0200

> Cc: [email-masked]
> Date: Wed, 13 Mar 2024 11:02:00 -0600
> From: [email-masked]
> 
> On 3/12/24 6:34 PM, Po Lu wrote:
> > Emacs works fine on sparc64-sun-solaris2.10, but the difference is that
> > the X libraries and servers installed there are ancient and predate the
> > introduction of generic events or XInput 2.  The backtrace Rainer
> > produced demonstrates that the client-side abort is consequent on the X
> > server crashing as it attempts to respond to an XIGetSelectedEvents
> > request, which is _always_ a bug in the X server, whatever the
> > circumstances, and so I suggest redirecting your attention to X.Org, and
> > building `--without-xinput2' in the meantime.
> 
>     Thank you, this is very helpful. I guess I'm not too surprised
> that it works on Solaris 10. Your support of a 20 year old OS is
> admirable.
> 
> I tried --without-xinput2 with the GTK version, and it does
> indeed skirt the problem. I can now reliably run it without
> crashing.

Po Lu, please document in PROBLEMS that XInput2 has bugs on Solaris
(probably only reecent versions?)

Thanks.